#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jest_cli_1 = require("jest-cli");
const CONFIG = {
    globals: {
        'ts-jest': {
            babelConfig: {
                presets: ['stage-0', 'react'],
                plugins: [
                    [
                        'react-intl-auto',
                        {
                            removePrefix: 'src/',
                        },
                    ],
                ],
            },
        },
    },
    transform: {
        '^.+\\.tsx?$': 'ts-jest',
    },
    transformIgnorePatterns: ['node_modules/(?!@curiostack)'],
    testRegex: '(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$',
    moduleFileExtensions: ['ts', 'tsx', 'js', 'jsx', 'json', 'node'],
    setupTestFrameworkScriptFile: '@curiostack/base-web/build/dev/testing/test-bundler.jsx',
    snapshotSerializers: ['enzyme-to-json/serializer'],
    moduleNameMapper: {
        '.*\\.(css|less|styl|scss|sass)$': '@curiostack/base-web/build/dev/testing/mocks/cssModule.js',
        '.*\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': '@curiostack/base-web/build/dev/testing/mocks/image.js',
    },
};
jest_cli_1.run(['--config', JSON.stringify(CONFIG)]).catch(() => process.exit(1));
//# sourceMappingURL=test.js.map